Bug 220026 - avc error inserting audio CD
avc error inserting audio CD
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-12-18 10:06 EST by Russell Harrison
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-22 10:13:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2006-12-18 10:06:41 EST
Description of problem:
setroubleshoot pops up with an error when I insert a CD.

Version-Release number of selected component (if applicable):
Installed Packages
libselinux.i386                          1.33.2-3.fc6           installed       
libselinux-python.i386                   1.33.2-3.fc6           installed       
selinux-doc.noarch                       1.26-1.1               installed       
selinux-policy.noarch                    2.4.6-7.fc6            installed       
selinux-policy-targeted.noarch           2.4.6-7.fc6            installed

How reproducible:
Every time

Steps to Reproduce:
1. Insert an audio CD
Actual results:
setroubleshoot popup:
SELinux is preventing /usr/sbin/hald (hald_t) "getattr" access to /etc/auto.misc

Additional Information:
Source Context:  system_u:system_r:hald_t
Target Context:  system_u:object_r:automount_etc_t
Target Objects:  /etc/auto.misc [ file ]
Affected RPM Packages:  hal- [application]autofs-5.0.1-0.rc2.36
Policy RPM:  selinux-policy-2.4.6-7.fc6
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.disable_trans
Host Name:  hostname
Platform:  Linux hostname 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:45:28 EST 2006
i686 i686
Alert Count:  19
Line Numbers:   
Raw Audit Messages:
avc: denied { getattr } for comm="hald" dev=dm-0 egid=68 euid=68
exe="/usr/sbin/hald" exit=-13 fsgid=68 fsuid=68 gid=68 items=0 name="auto.misc"
path="/etc/auto.misc" pid=2584 scontext=system_u:system_r:hald_t:s0 sgid=68
subj=system_u:system_r:hald_t:s0 suid=68 tclass=file
tcontext=system_u:object_r:automount_etc_t:s0 tty=(none) uid=68
Comment 1 Daniel Walsh 2006-12-18 14:58:35 EST
Fixed in selinux-policy-2.4.6-13
Comment 2 Daniel Walsh 2007-08-22 10:13:35 EDT
Fixed in current release

Note You need to log in before you can comment on or make changes to this bug.